# Command: or

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    or - logical or operator.

Synopsis:

    bool1 bool2 or -> bool
      int1  int2  or -> int

Examples:

    true  false or -> true
      true  true  or -> true
      false false or -> false
      2	 8	 or -> 10
      1	 0	 or -> 1

Description:

    For booleans, or returns true, if either,
      the arguments are true and false
      otherwise.
      For integers, or performs a bitwise or between the
      two arguments.

SeeAlso:

- and
- or
- not

Source:

    /opt/conda/conda-bld/nest_1512418773968/work/nest-2.14.0/sli/slimath.cc

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative